# $Revision: 1.9 $, $Date: 2002/08/17 21:02:59 $
Summary:	NRPE daemon for NetSaint
Summary(pl):	Demon NRPE dla NetSainta
Name:		netsaint-nrpe
Version:	1.2.5
Release:	3
License:	GPL
Group:		Networking
Source0:	http://www.netsaint.org/download/nrpe-%{version}.tar.gz
Source1:	%{name}.init
Patch0:		%{name}-no_libnsl.patch
URL:		http://www.netsaint.org/
BuildRequires:	autoconf
# to satisfy netsaint-plugins requires...
Provides:	netsaint
# shouldn't be installed together
Obsoletes:	netsaint
PreReq:		rc-scripts
Requires(pre):	/usr/bin/getgid
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires:	/usr/bin/setsid
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NRPE daemon for NetSaint - runs as a background process on the remote
host and processes command execution requests from the check_nrpe
plugin on the NetSaint host. Upon receiving a plugin request from an
authorized host, it will execute the command line associated with the
command name it received and send the program output and return code
back to the check_nrpe plugin. check_nrpe plugin can be found in
netsaint-plugin-nrpe package.

%description -l pl
Demon NRPE dla NetSainta - dziaa w tle na zdalnej maszynie i
obsuguje wywoywanie polece z wtyczki check_nrpe dziaajcej na
maszynie z Netsaintem. Po otrzymaniu dania od autoryzowanej maszyny,
uruchomi polecenie zwizane z podan nazw i odele wyjcie programu
oraz status jego zakoczenia do wtyczki check_nrpe. Wtyczka check_nrpe
znajduje si w pakiecie netsaint-plugin-nrpe.

%package -n netsaint-plugin-nrpe
Summary:	NRPE plugin for Netsaint
Summary(pl):	Wtyczka NRPE dla Netsainta
Group:		Networking
Prereq:		netsaint

%description -n netsaint-plugin-nrpe
Netsaint NRPE plugin - check_nrpe is a plugin that is run on the
NetSaint host and is used to contact the NRPE process on remote hosts.
The plugin requests that a plugin be executed on the remote host and
wait for the NRPE process to execute the plugin and return the result.
The plugin then uses the output and return code from the plugin
execution on the remote host for its own output and return code.

%description -n netsaint-plugin-nrpe -l pl
Wtyczka NRPE do Netsainta - check_nrpe to wtyczka dziaajca na
maszynie z Netsaintem, suca do komunikacji z procesem NRPE
dziaajcym na zdalnych komputerach. Wtyczka da od demona na zdalnej
maszynie uruchomienia polece, demon je uruchamia i zwraca wyniki.
Wtyczka wykorzystuje te wyniki do wygenerowania wasnych wynikw i
kodu zakoczenia.

%prep
%setup -q -n nrpe-%{version}
%patch0 -p1

%build
%{__autoconf}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/netsaint,/etc/rc.d/init.d} \
	$RPM_BUILD_ROOT{%{_libdir}/netsaint/plugins,%{_sbindir}}

install src/nrpe $RPM_BUILD_ROOT%{_libdir}/netsaint
sed -e 's@/usr/local/netsaint/libexec@%{_libdir}/netsaint/plugins@' \
	nrpe.cfg > $RPM_BUILD_ROOT%{_sysconfdir}/netsaint/nrpe.cfg
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/netsaint-nrpe

install src/check_nrpe $RPM_BUILD_ROOT%{_libdir}/netsaint/plugins

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -n "`getgid netsaint`" ]; then
	if [ "`getgid netsaint`" != "72" ]; then
		echo "Error: group netsaint doesn't have gid=72. Correct this before installing %{name}." 1>&2
		exit 1
	fi
else
	/usr/sbin/groupadd -g 72 -f netsaint
fi
if [ -n "`id -u netsaint 2>/dev/null`" ]; then
	if [ "`id -u netsaint`" != "72" ]; then
		echo "Error: user netsaint doesn't have uid=72. Correct this before installing %{name}."
1>&2
		exit 1
	fi
else
	/usr/sbin/useradd -u 72 -d %{_libdir}/netsaint -s /bin/false -c "Netsaint User" -g netsaint netsaint 1>&2
fi

%post
/sbin/chkconfig --add netsaint-nrpe
if [ -f /var/lock/subsys/netsaint-nrpe ]; then
	/etc/rc.d/init.d/netsaint-nrpe restart >&2
else
	echo "Run \"/etc/rc.d/init.d/netsaint-nrpe start\" to start NRPE daemon." >&2
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/netsaint-nrpe ]; then
		/etc/rc.d/init.d/netsaint-nrpe stop >&2
	fi
	/sbin/chkconfig --del netsaint-nrpe
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/userdel netsaint
	/usr/sbin/groupdel netsaint
fi

%files
%defattr(644,root,root,755)
%doc Changelog README
%attr(640,root,netsaint) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/netsaint/nrpe.cfg
%attr(750,root,netsaint) %dir %{_sysconfdir}/netsaint
%dir %{_libdir}/netsaint
%dir %{_libdir}/netsaint/plugins
%attr(755,root,root) %{_libdir}/netsaint/nrpe
%attr(754,root,root) /etc/rc.d/init.d/netsaint-nrpe

%files -n netsaint-plugin-nrpe
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/netsaint/plugins/check_nrpe

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: netsaint-nrpe.spec,v $
Revision 1.9  2002/08/17 21:02:59  qboosh
- better messages in pre, more specific Requires, release 3

Revision 1.8  2002/07/21 19:27:23  marcus
- rel2.
- use new %5doc

Revision 1.7  2002/05/21 23:14:14  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.6  2002/02/23 04:05:39  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:29:19  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/02 19:48:28  ankry
- removing bogus fr/ru/uk Group translations

Revision 1.3  2002/01/18 02:14:02  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2002/01/06 05:24:09  kloczek
- updated to 1.2.5 (bug fix release),
- added no_libnsl patch.

Revision 1.1  2001/12/27 11:51:54  qboosh
- new: netsaint NRPE daemon and plugin
